Subject: Re: linux-next: manual merge of the tty tree with the printk tree

From: Petr Mladek <[email-masked]>
Date: Tue, 25 Jun 2024 11:32:16 +0200

On Mon 2024-06-24 18:45:37, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the tty tree got a conflict in:
> 
>   drivers/tty/serial/8250/8250_core.c
> 
> between commit:
> 
>   b70dc67cceb97 ("serial: core: Revert unusable console quirk handling")

I have just removed this commit from the printk tree.

> from the printk tree and commit:
> 
>   ffd8e8bd26e94 ("serial: 8250: Extract platform driver")
> 
> from the tty tree.

There has been a race between the changes in the printk and tty
which has caused these problems. [*]

The conflicts between the printk and tty tree should be gone now.

I am sorry for troubles.

Best Regards,
Petr

[*] In fact, I have removed the entire patchset fixing the regression
in console registration, see
https://lore.kernel.org/r/[email-masked]

The feature is going to be reworked. Greg has reverted the commits
introducing the regression in the tty tree, see
https://lore.kernel.org/r/2024062551-hubcap-bauble-fae5@gregkh